• Русский
  • ClusterResourceSetBinding [addons.cluster.x-k8s.io/v1beta1]

    Description
    ClusterResourceSetBinding lists all matching ClusterResourceSets with the cluster it belongs to.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    spec is the desired state of ClusterResourceSetBinding.

    .spec

    Description
    spec is the desired state of ClusterResourceSetBinding.
    Type
    object
    PropertyTypeDescription
    bindingsarray

    bindings is a list of ClusterResourceSets and their resources.

    clusterNamestring

    clusterName is the name of the Cluster this binding applies to. Note: this field mandatory in v1beta2.

    .spec.bindings

    Description
    bindings is a list of ClusterResourceSets and their resources.
    Type
    array

    .spec.bindings[]

    Description
    ResourceSetBinding keeps info on all of the resources in a ClusterResourceSet.
    Type
    object
    Required
    clusterResourceSetName
    PropertyTypeDescription
    clusterResourceSetNamestring

    clusterResourceSetName is the name of the ClusterResourceSet that is applied to the owner cluster of the binding.

    resourcesarray

    resources is a list of resources that the ClusterResourceSet has.

    .spec.bindings[].resources

    Description
    resources is a list of resources that the ClusterResourceSet has.
    Type
    array

    .spec.bindings[].resources[]

    Description
    ResourceBinding shows the status of a resource that belongs to a ClusterResourceSet matched by the owner cluster of the ClusterResourceSetBinding object.
    Type
    object
    Required
    appliedkindname
    PropertyTypeDescription
    appliedboolean

    applied is to track if a resource is applied to the cluster or not.

    hashstring

    hash is the hash of a resource's data. This can be used to decide if a resource is changed. For "ApplyOnce" ClusterResourceSet.spec.strategy, this is no-op as that strategy does not act on change.

    kindstring

    kind of the resource. Supported kinds are: Secrets and ConfigMaps.

    lastAppliedTimestring

    lastAppliedTime identifies when this resource was last applied to the cluster.

    namestring

    name of the resource that is in the same namespace with ClusterResourceSet object.

    API Endpoints

    The following API endpoints are available:

    • /apis/addons.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/clusterresourcesetbindings
      • DELETE: delete collection of ClusterResourceSetBinding
      • GET: list objects of kind ClusterResourceSetBinding
      • POST: create a new ClusterResourceSetBinding
    • /apis/addons.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/clusterresourcesetbindings/{name}
      • DELETE: delete the specified ClusterResourceSetBinding
      • GET: read the specified ClusterResourceSetBinding
      • PATCH: partially update the specified ClusterResourceSetBinding
      • PUT: replace the specified ClusterResourceSetBinding

    /apis/addons.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/clusterresourcesetbindings

    HTTP method
    DELETE
    Description
    delete collection of ClusterResourceSetBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ClusterResourceSetBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterResourceSetBindingList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ClusterResourceSetBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterResourceSetBinding schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterResourceSetBinding schema
    201 - CreatedClusterResourceSetBinding schema
    202 - AcceptedClusterResourceSetBinding schema
    401 - UnauthorizedEmpty

    /apis/addons.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/clusterresourcesetbindings/{name}

    HTTP method
    DELETE
    Description
    delete the specified ClusterResourceSetBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ClusterResourceSetBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterResourceSetBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ClusterResourceSetBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterResourceSetBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ClusterResourceSetBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterResourceSetBinding schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterResourceSetBinding schema
    201 - CreatedClusterResourceSetBinding schema
    401 - UnauthorizedEmpty